Subject: bug#33946: tail -f stops abruptly in AIX when piped.

From: Pádraig Brady <[email-masked]>
Date: Tue, 15 Jan 2019 19:09:57 -0800

On 14/01/19 23:54, Bernhard Voelker wrote:
> On 1/13/19 4:31 AM, Pádraig Brady wrote:
>> Thanks for testing. Pushed at:
>> https://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=d5ab4cb
> 
>> -timeout 10 tail -f $mode $fastpoll out | sleep .1 || fail=1
>> +(returns_ 124 timeout 10 tail -n2 -f $mode $fastpoll out && touch timed_out) |
>> + sed 2q > out2
>> +test -e timed_out && fail=1
>> +compare exp out2 || fail=1
> 
> I see the 'timed_out' file when running the test on openSUSE's build service
> for Linux x86_64, and can reproduce when running that in the local 'osc' build
> environment (chroot-based).
> 
> I'm not sure what's the problem though, but could this be related to
> how we fixed 'tests/misc/seq-epipe.sh' a while ago in v8.25-42-g383e4b2ce?

I can't see the problem offhand.

> BTW: in the 2nd iteration, the test doesn't delete 'timed_out',
> so will always set fail=1 if the 1st one failed.

Yes we should `rm -f timed_out` beforehand to be cleaner.

cheers,
Pádraig